/**
 * $Id: ImmutableAspect.aj,v 1.1 2008/09/29 18:24:21 oboehm Exp $
 *
 * Copyright (c) 2008 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * (c)reated 29.09.2008 by oliver (ob@oasd.de)
 */
package patterntesting.java;

import patterntesting.java.annotation.*;

/**
 * @author <a href="boehm@javatux.de">oliver</a>
 * @since 29.09.2008
 * @version $Revision: 1.1 $
 */
public aspect ImmutableAspect {
	
	declare warning: set(* *..*)
			&& withincode(@Immutable * *..*.*(..)) :
		"do not change attribute in immutable method";

	declare warning: set(* *..*)
			&& within(@Immutable *)
			&& withincode(* *..*.*(..))
			&& !withincode(@Immutable *..*.new(..))
			&& !initialization(@Immutable *..*.new(..))
			&& !preinitialization(@Immutable *..*.new(..))
			&& !staticinitialization(@Immutable *)
			:
		"do not change attribute in immutable object";

}

/**
 * $Log: ImmutableAspect.aj,v $
 * Revision 1.1  2008/09/29 18:24:21  oboehm
 * @Immutable and ImmutableAspect added
 *
 * $Source: /cvsroot/patterntesting/PatternTesting05/src/main/aspect/patterntesting/java/ImmutableAspect.aj,v $
 */
