/**
 * $Id: ThreadSafe.java,v 1.1 2008/10/02 20:36:32 oboehm Exp $
 *
 * Copyright (c) 2008 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * (c)reated 30.09.2008 by oliver (ob@oasd.de)
 */
package patterntesting.java.runtime.annotation;

import java.lang.annotation.*;

import patterntesting.java.runtime.Synchronization;

/**
 * To mark classes which should be thread-safe.
 * 
 * @author <a href="boehm@javatux.de">oliver</a>
 * @since 30.09.2008
 * @version $Revision: 1.1 $
 */
@Retention(RetentionPolicy.RUNTIME)
public @interface ThreadSafe {
	Synchronization value() default Synchronization.NEEDED;
}

/**
 * $Log: ThreadSafe.java,v $
 * Revision 1.1  2008/10/02 20:36:32  oboehm
 * methods in @TreadSafe classes will be synchronized
 *
 * $Source: /cvsroot/patterntesting/PatternTesting05/src/main/java/patterntesting/java/runtime/annotation/ThreadSafe.java,v $
 */
