/**
 * $Id: ThreadUtil.java,v 1.1 2008/10/02 20:36:32 oboehm Exp $
 *
 * Copyright (c) 2008 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * (c)reated 30.09.2008 by oliver (ob@oasd.de)
 */
package patterntesting.util;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.impl.LogFactoryImpl;

/**
 * @author <a href="boehm@javatux.de">oliver</a>
 * @since 30.09.2008
 * @version $Revision: 1.1 $
 */
public class ThreadUtil {
	
	private static Log log = LogFactoryImpl.getLog(ThreadUtil.class);
	
	public static void sleep(long millis) {
		try {
			Thread.sleep(millis);
		} catch (InterruptedException ignored) {
			log.info(ignored + " ignored");
		}
	}

	public static void sleep(long millis, int nanos) {
		try {
			Thread.sleep(millis, nanos);
		} catch (InterruptedException ignored) {
			log.info(ignored + " ignored");
		}
	}

}

/**
 * $Log: ThreadUtil.java,v $
 * Revision 1.1  2008/10/02 20:36:32  oboehm
 * methods in @TreadSafe classes will be synchronized
 *
 * $Source: /cvsroot/patterntesting/PatternTesting05/src/main/java/patterntesting/util/ThreadUtil.java,v $
 */
